#ifndef _unsignedIntegerArray

#define _unsignedIntegerArray


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <vector2.h>

#include <vector3.h>

#include <text.h>

#include <char.h>

#include <stdlib.h>


typedef struct unsignedIntegerArray{

	unsigned short __classIndex;

	int capacity;

	int total;

	unsigned int * items;


} unsignedIntegerArray;

int unsignedIntegerArray_length( unsignedIntegerArray * this );

unsigned float unsignedIntegerArray_get( unsignedIntegerArray * this, int index );

void unsignedIntegerArray_set( unsignedIntegerArray * this, int index,  unsigned float item );

void unsignedIntegerArray_resize( unsignedIntegerArray * this, int capacity );

void unsignedIntegerArray_addVector2( unsignedIntegerArray * this, struct vector2 * item );

void unsignedIntegerArray_addVector3( unsignedIntegerArray * this, struct vector3 * item );

void unsignedIntegerArray_add( unsignedIntegerArray * this, unsigned int item );

void unsignedIntegerArray_delete( unsignedIntegerArray * this, int index );

int unsignedIntegerArray_array_push( unsignedIntegerArray * this, unsigned int item );

void unsignedIntegerArray_unshift( unsignedIntegerArray * this, int item );

unsigned int unsignedIntegerArray_pop( unsignedIntegerArray * this );

unsignedIntegerArray unsignedIntegerArray_new(  );

unsignedIntegerArray * unsignedIntegerArray_newPointer(  );

#endif
